com.mysql.jdbc

## Class NamedPipeSocketFactory.RandomAccessFileInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.mysql.jdbc.NamedPipeSocketFactory.RandomAccessFileInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  NamedPipeSocketFactory

     class NamedPipeSocketFactory.RandomAccessFileInputStream
    extends java.io.InputStream

Enables OutputStream-type functionality for a RandomAccessFile

### Field Summary

Fields
`(package private) java.io.RandomAccessFile` `raFile`

### Constructor Summary

Constructors
Constructor and Description
`NamedPipeSocketFactory.RandomAccessFileInputStream(java.io.RandomAccessFile file)`

### Method Summary

Methods
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### raFile

    java.io.RandomAccessFile raFile

### Constructor Detail

#### NamedPipeSocketFactory.RandomAccessFileInputStream

    NamedPipeSocketFactory.RandomAccessFileInputStream(java.io.RandomAccessFile file)

### Method Detail

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.available()`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.close()`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.read()`

#### read

    public int read(byte[] b)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.read(byte[])`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.read(byte[], int, int)`